<template>
  <div
    v-if="locationsTitle"
    class="service-locations"
    :class="{
      '--large': this.isLarge
    }"
  >
    <i class="icon pin" />
    <span>{{ locationsTitle }}</span>
  </div>
</template>

<script>
export default {
  name: 'orderAdditionalServicesListLocation',
  props: {
    service: {
      type: Object,
      default: () => {}
    },
    order: {
      type: Object,
      default: () => {}
    },
    isLarge: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    locationsTitle () {
      if (this.service.geography === 'WHERE') {
        return this.service.visitPointAddressTitle
      } else if (this.service.geography === 'FROM_TO') {
        return `${this.service.locationFromTitle} → ${this.service.locationToTitle}`
      } else {
        return null
      }
    }
  }
}
</script>

<style lang="scss">
@import "../../../../../../../node_modules/common-components/src/static/css/mixins";

.service-locations {
  display: flex;
  align-items: center;
  @include font-mixin(10px, 20px, 400, $color-grey-label, 0.4px, uppercase);
  i, img {
    margin-right: 7px;
    width: 13px;
    font-size: 13px;
    color: $color-blue-navy-blue;
  }
  span {
    padding-top: 2px;
  }
  &.--large {
    @include font-mixin(16px, 20px, 400, $color-grey-label, 0.4px);
    img, i {
      width: 25px;
      font-size: 25px;
      margin-right: 15px;
    }
  }
}
</style>
